import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class MentionableTextareaComponent {
    users: string[];
    commentCreated: EventEmitter<string>;
    commentText: string;
    filteredUsers: string[];
    constructor();
    onTextChange(event: KeyboardEvent): void;
    selectUser(user: string): void;
    createComment(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MentionableTextareaComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MentionableTextareaComponent, "mentionable-textarea", never, { "users": { "alias": "users"; "required": false; }; }, { "commentCreated": "commentCreated"; }, never, never, true, never>;
}
